Bug 1127032 - missing Dynamic JAXBContext Filter in web-exec-server.xml
Summary: missing Dynamic JAXBContext Filter in web-exec-server.xml
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER2
: 6.1.0
Assignee: Shelly McGowan
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 01:47 UTC by jbride@redhat.com
Modified: 2016-09-20 16:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description jbride@redhat.com 2014-08-06 01:47:32 UTC
Hi.
  With 6.0.2, I'm experimenting with the use of web-exec-server.xml found in business-central.war/WEB-INF.  In doing so, I'm encountering an "Unable to instantiate JAXBContext" exception when invoking the REST API of the execution server.  Turns out this config file is missing the following filter elements:

<filter>
    <filter-name>Dynamic JAXBContext Filter</filter-name>
    <filter-class>org.kie.remote.services.rest.jaxb.DynamicJaxbContextFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>Dynamic JAXBContext Filter</filter-name>
    <url-pattern>/rest/*</url-pattern>
</filter-mapping>

Adding these filter elements resolves the problem and the exec server works fine.

jeff

Comment 2 Marco Rietveld 2014-09-25 11:57:27 UTC
Fixed by Maciej! Commits: 

master: 
https://github.com/droolsjbpm/kie-wb-distributions/commit/2ed0a326

Comment 3 Marek Baluch 2014-12-01 11:56:49 UTC
Verified on 6.1.0.ER2.


Note You need to log in before you can comment on or make changes to this bug.